Subject: IPP> MOD Need Clarification re: Type4 keywords

From: Carl Kugler <[email-masked]>
Date: Mon, 2 Feb 1998 17:06:15 -0500

Attributes with type 4 keywords also allow the 'name' attribute syntax for
administrator defined names.  Keywords SHALL be in U.S. English, but attributes
that are indicated to have the 'name' attribute syntax also automatically have
the 'nameWithLanguage' attribute syntax.

So in general, attributes with type 4 keywords can use the Language Override
Mechanism?

  -Carl

---

From: Tom Hastings <[email-masked]>
Date: Mon, 9 Feb 1998 15:45:47 PST

>So in general, attributes with type 4 keywords can use the Language Override

Correct, but because the 13 attributes that have 'type 4 keyword' data type,
also have the 'name' data type:

  +-------------------+----------------------+----------------------+
  | job-hold-until    | job-hold-until-      |job-hold-until-       |
  | (type4 keyword |  |  default             | supported            |
  |    name)          |  (type4 keyword |    |(1setOf               |
  |                   |    name)             | type4 keyword | name)|
  +-------------------+----------------------+----------------------+
  | job-sheets        | job-sheets-default   |job-sheets-supported  |
  | (type4 keyword |  | (type4 keyword |     |(1setOf               |
  |    name)          |    name)             | type4 keyword | name)|
  +-------------------+----------------------+----------------------+

  +-------------------+----------------------+----------------------+
  | media             | media-default        | media-supported      |
  | (type4 keyword |  | (type4 keyword |     |(1setOf               |
  |    name)          |    name)             | type4 keyword | name)|
  |                   |                      |                      |
  |                   |                      | media-ready          |
  |                   |                      |(1setOf               |
  |                   |                      | type4 keyword | name)|
  +-------------------+----------------------+----------------------+

not just because they have the 'type 4 keyword' data type.  But we 
thought that if an administrator is making up names (which is what
type 4 keywords are), that an implementation may want to be simple
and treat them as names in the language that the administrator is 
using or may want to be more complex and allow the administrator to
define keywords that clients can localize into various languages.

Sounds like something for the FAQ:

Why are there attributes that have both 'type4 keyword' and 'name'
(and hence 'nameWithLanguage) data types?

Tom